[Mongo Portable](../README.md) > [Options](../classes/options.md)



# Class: Options

## Index

### Constructors

* [constructor](options.md#constructor)


### Properties

* [limit](options.md#limit)
* [log](options.md#log)
* [skip](options.md#skip)
* [sort](options.md#sort)



---
## Constructors
<a id="constructor"></a>


### ⊕ **new Options**(options?: *`any`*): [Options](options.md)


*Defined in [collection/Cursor.ts:15](https://github.com/EastolfiWebDev/MongoPortable/blob/b563243/src/collection/Cursor.ts#L15)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| options | `any`   |  - |





**Returns:** [Options](options.md)

---


## Properties
<a id="limit"></a>

###  limit

**●  limit**:  *`number`* 

*Defined in [collection/Cursor.ts:8](https://github.com/EastolfiWebDev/MongoPortable/blob/b563243/src/collection/Cursor.ts#L8)*





___

<a id="log"></a>

###  log

**●  log**:  *`Object`* 

*Defined in [core/Options.ts:2](https://github.com/EastolfiWebDev/MongoPortable/blob/b563243/src/core/Options.ts#L2)*





___

<a id="skip"></a>

###  skip

**●  skip**:  *`number`* 

*Defined in [collection/Cursor.ts:7](https://github.com/EastolfiWebDev/MongoPortable/blob/b563243/src/collection/Cursor.ts#L7)*





___

<a id="sort"></a>

###  sort

**●  sort**:  *`any`* 

*Defined in [collection/Cursor.ts:9](https://github.com/EastolfiWebDev/MongoPortable/blob/b563243/src/collection/Cursor.ts#L9)*





___



